Bug 519399 - Unable to assign device to the guest on PE R905
Summary: Unable to assign device to the guest on PE R905
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Don Dutile (Red Hat)
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 13:25 UTC by Jon Thomas
Modified: 2018-10-20 03:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 19:23:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jon Thomas 2009-08-26 13:25:39 UTC
Description of problem:

On PE R905, it is not possible to assign the deive from host to a guest running. It show below error message on screen:

[root@kvm-host ~]# xm create vm-1
Using config file "/etc/xen/vm-1".
Error: failed to assign device: maybe the platform doesn't support VT-d, or VT-d isn't enabled properly?


Steps to Reproduce:
1. Install RHEL 5.4 Snapshot5 x86_64 xen kernel

2. Boot to xen and create RHEL 5.4 Snapshot5 guets

3. Diable the device from host using below running attached script(pciback.sh) along with the bus device and function number as parameter:


4. Edit /etc/xen/guest file and add pci= [ "0000:21:00.0" ]

Comment 5 Don Dugger 2009-08-26 16:40:00 UTC
1)  Are you sure that VTd is enabled in the BIOS?

2)  If so can you provide the output from `xm dmesg'?

Comment 6 Chris Wright 2009-08-26 16:47:49 UTC
Does the platform support VT-d and is it enabled in the BIOS?  If so, is xen hv cmdline including iommu=1?

Comment 10 Jon Thomas 2009-08-27 18:11:48 UTC
330004 could be worked through this bz

330009 appears to be worked through bz 517944

issue 329951 may not require a bz

Chris T,

Can you clarify why we need a Release note here?

Comment 11 Don Dutile (Red Hat) 2009-08-27 18:43:59 UTC
330004: There's no AMD machine with IOMMU support for PCI device assignment from Dell, yet.  

329951: please provide lspci from host & from guest after device assignment.
      : system details? -- is the platform even have an IOMMU (recent Intel box)?

Again, as has been stated, either open 1 bz per IT.
Once done, we can tackle each case, which will require
info as asked above: system info, host & guest boot logs, virt logs, etc.

thanks... Don

Comment 12 Jon Thomas 2009-08-27 19:10:45 UTC
(In reply to comment #11)
> 330004: There's no AMD machine with IOMMU support for PCI device assignment
> from Dell, yet.  
> 
> 329951: please provide lspci from host & from guest after device assignment.
>       : system details? -- is the platform even have an IOMMU (recent Intel
> box)?
> 
> Again, as has been stated, either open 1 bz per IT.
> Once done, we can tackle each case, which will require
> info as asked above: system info, host & guest boot logs, virt logs, etc.
> 
> thanks... Don  

I believe a bz will be opened for 329951 when enough data is collected. 330009 already has bz 517944.

That leaves this bz and 330004.

Is it appropriate to create a release note for this?

Comment 17 Don Dutile (Red Hat) 2009-09-25 19:23:32 UTC
The release notes explicitly say that device pass-through
is only supported on Intel systems with VTd and (future) AMD
systems with AMD-IOMMU.

The 'IOMMU' tag on these systems are what are called 'GART-IOMMU'.
The release notes don't include any support statement for this
type of IOMMU, ergo, it's not supported.

Release notes don't state every possible combination of
computer technology that is not supported; they state what
is supported.  If it isn't on the supported list/statement,
it isn't supported.


Note You need to log in before you can comment on or make changes to this bug.